RobotJS連結

這個Library是用來控制滑鼠以及鍵盤事件,還有讀取螢幕

會紀錄是因為,當你用Electron來跑RobotJS時,要注意一些事情

照官網的步驟 你需要要先透過npm安裝RobotJS,這沒問題

只是裡面有提到,當你要用在Electron的時候必須要先rebuild

npm rebuild --runtime=electron --target=1.1.3 --disturl=https://atom.io/download/atom-shell --abi=48

上面紅字的一個是electron版本,另一個abi可以在他提供的連結內找到對應版本,對應到nodejs版本

當你這樣跑,出現錯誤時,我的情況是msvs版本不符合,這時候 後面就要指定msvs version

我的case如下: 

npm rebuild --runtime=electron --target=1.7.5 --disturl=https://atom.io/download/atom-shell --abi=46 --msvs_version=2013

------待續


文章標籤
創作者介紹

Mazs's Notes

cookiesp 發表在 痞客邦 PIXNET 留言(0) 人氣()